import { get, post } from '@/services/index';

/**
 * @数据库初始化
 */

/**
 * 数据库测试连接
 * @param {*} params
 * {
 * ip:'',
 * dbName:'',
 * userName:'',
 * password:'',
 * }
 */
export const connectionTest = params =>
  get('/DBManager/ConnectionTest', params);

// 获取数据库配置信息
export const getDataBaseConfig = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetDataBaseConfig', params);

// 获取数据库连接记录
export const getConnRecord = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetConnRecord', params);

// 测试连接
export const getConnectionTest = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetConnectionTest', params);

// 保存数据库连接
export const saveConnection = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_SaveConnection', params);

// 获取数据库列表

export const getDataBaseList = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetDataBaseList', params);

// 数据库初始化
export const initDBv4 = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_InitDBv4', params);

// 更新描述
export const updateConnDesc = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_UpdateConnDesc', params);

// 获取日志
export const getInitDBLog = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetInitDBLog', params);

// 删除初始化日志
export const deleteInitDBLog = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_DeleteInitDBLog', params);

// 修改产品解决方案
export const setTableSQLDirName = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_SetTableSQLDirName', params);

// 删除数据库连接记录
export const deleteConn = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_DeleteConn', params);

/**
 *
 * @解决方案管理
 */
// 切换解决方案配置
export const getSolutionList = params =>
  get('/Cityinterface/rest/services/OMS.svc/W4_GetSolutionList', params);

// 切换解决方案
export const changeSolution = params =>
  get('/Cityinterface/rest/services/OMS.svc/W4_ChangeSolution', params);

/**
 *
 * @数据库标准化管理
 */
// 检查数据库表
export const tableCheck = params =>
  get(`/Cityinterface/rest/services/OMS.svc/TableCheck`, params);

// 获取数据库升级记录
export const databaseStandardGetLog = params =>
  get('/Cityinterface/rest/services/OMS.svc/DatabaseStandard_GetLog', params);

// 更新
export const updateDateBase = params =>
  get(
    '/Cityinterface/rest/services/OMS.svc/DatabaseStandard_UpdateDateBase',
    params,
  );

/**
 * @数据库连接配置
 */
// 删除数据库连接
export const deleteConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_DeleteConnString', params);
// SQL数据库连接
export const getSQLServerConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetSQLServerConnString', params);
// 新增SQLServer数据库连接
export const addSQLServerConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_AddSQLServerConnString', params);
// 删除SQL连接
export const editSQLServerConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_EditSQLServerConnString', params);
// SQL数据库测试连接
export const getSQLServerConnectionTest = params =>
  get(
    '/Cityinterface/rest/services/OMS.svc/S_GetSQLServerConnectionTest',
    params,
  );
/**
 * @Oracle数据库
 */
// Oracle连接记录
export const getOracleConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetOracleConnString', params);
// 新增Oracle连接
export const addOracleConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_AddOracleConnString', params);
// 编辑Oracle连接
export const editOracleConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_EditOracleConnString', params);
// 测试连接
export const getOracleConnectionTest = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetOracleConnectionTest', params);

/**
 * @MongoDB连接
 */
// MongoDB连接记录
export const getMongoDBConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetMongoDBConnString', params);
// 新增连接配置
export const addMongoDBConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_AddMongoDBConnString', params);
// 编辑分享
export const editMongoDBConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_EditMongoDBConnString', params);
// 测试连接
export const getMongoDBConnectionTest = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_MongoDBConnectionTest', params);
/**
 * @MySQL连接
 */
// MySQL连接记录
export const getMySQLConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetMySQLConnString', params);
// 新增配置连接
export const addMySQLConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_AddMySQLConnString', params);
// 测试连接
export const getMySQLConnectionTest = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_GetMySQLConnectionTest', params);
export const editMySQLConnString = params =>
  get('/Cityinterface/rest/services/OMS.svc/S_EditMySQLConnString', params);
